<template>
  <div class="home">
    <h1>{{ homepageData.title[0].text }}</h1>
    <div class="banner-container">
      <img :src="homepageData.banner.url" alt="" />
    </div>
  </div>
</template>

<script>
export default {
  name: "IndexPage",
  async asyncData({ $prismic, params, error }) {
    const homepage = await $prismic.api.getSingle("homePage");
    const homepageData = homepage.data;

    return {
      homepageData,
    };
  },
};
</script>

<style scoped>
.banner-container {
  width: 100%;
  height: 92vh;
  border: red solid;
  display: flex;
  justify-content: center;
}
.banner-container img {
  width: 50%;
  object-fit: cover;

}
h1 {
  text-align: center;
}
</style>
